data = [2, 5, 160]

def dec2bin(n, lg = 16):
    res = ''
    if n == 0:
        return 'bin='+'0'*lg
    while n > 0:
        res = str(n % 2) + res
        n = n >> 1
    res = "0"*(lg-len(res))+res
    return "bin="+res

def dec2hex(n, lg = 4):
    res = '%X'%n
    res = "0"*(lg-len(res))+res
    return "hex="+res

def dec2dec(n, lg = 4):
    res = '%d'%n
    res = "0"*(lg-len(res))+res
    return "dec="+res


CRC = 0
for byte in data:

    print "byte", dec2bin(byte, 8), dec2hex(byte, 2), dec2dec(byte)

    for i in [0,1,2,3,4,5,6,7]:

        print "  i =", i
        
        C15 = (CRC >> 15 & 1)
        BIT = (byte >> (7 - i) & 1)
        print "    C15 ", C15
        print "    BIT ", BIT

        print "    crc1", dec2bin(CRC), dec2hex(CRC)

        CRC = (CRC << 1)%(2**16)
        print "    crc2", dec2bin(CRC), dec2hex(CRC)
        
        if (C15 ^ BIT):
            CRC = (CRC ^ 4129)%(2**16) # 4129 == 0001 0000 0010 0001
        print "    crc3", dec2bin(CRC), dec2hex(CRC)

