Public Class FormRecalage

    Private _Pts() As System.Windows.Forms.Button
    Private _Agv As AgvGeneric

    Public Sub New(ByVal Agv As AgvGeneric)

        ' Cet appel est requis par le Concepteur Windows Form.
        InitializeComponent()

        ' Ajoutez une initialisation quelconque aprs l'appel InitializeComponent().
        Me._Agv = Agv

    End Sub

    Private Sub FormRecalage_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        ' Chargement de l'image de fond
        Dim Bmp1 As Bitmap = New Bitmap(MyCircuit.ImgFile)
        Dim Bmp2 As Bitmap = New Bitmap(Bmp1.Width + 2 * MyCircuit.Marge, Bmp1.Height + 2 * MyCircuit.Marge + 30)
        Dim Gr As Graphics = Graphics.FromImage(Bmp2)
        Gr.DrawImage(Bmp1, New Rectangle(MyCircuit.Marge, MyCircuit.Marge, Bmp1.Width, Bmp1.Height))

        With Me.PictureCircuit
            .Top = 0
            .Left = 0
            .Height = Bmp2.Height
            .Width = Bmp2.Width
            .Image = Bmp2
        End With

        ' Chargement des boutons
        ReDim _Pts(0 To MyCircuit.NbPoints - 1)
        For i As Integer = 0 To MyCircuit.NbPoints - 1
            _Pts(i) = New System.Windows.Forms.Button
            Me.Controls.Add(_Pts(i))
            With _Pts(i)
                .Name = "PtP" + CStr(i)
                .Height = 25
                .Width = 20
                .FlatStyle = FlatStyle.Flat
                .BackColor = Color.LightGreen
                .Left = MyCircuit.Points(i).PosX + MyCircuit.Marge
                .Top = MyCircuit.Points(i).PosY + MyCircuit.Marge
                .Text = MyCircuit.Points(i).Symbole
                AddHandler .Click, AddressOf Pts_Click
            End With
        Next

        ' On met l'image en arrire plan
        Me.PictureCircuit.SendToBack()

    End Sub

    Private Sub Pts_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        ' recherche du numro
        Dim i As Integer = System.Array.IndexOf(_Pts, sender)
        ' arrive
        Me._Agv.NouveauRecalage(MyCircuit.Points(i))
        Me.Close()
    End Sub

    Private Sub Annuler_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Annuler.Click
        Me.Close()
    End Sub

End Class