Public Class FormDebug

    Private Sub FormDebug_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ModifVal.Value = CInt(Strings.Mid(My.Settings.SerialPort, 4, 1))
    End Sub

    Private Sub Fermer_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Fermer.Click
        Me.Hide()
    End Sub

#Region "Tester un port srie"

    Private Sub TestBt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TestBt.Click

        Dim TestRs232 As System.IO.Ports.SerialPort = New System.IO.Ports.SerialPort

        ' Port srie
        Dim DebugConn As System.IO.Ports.SerialPort = New System.IO.Ports.SerialPort
        With DebugConn
            .BaudRate = 4800
            .DataBits = 8
            .Parity = IO.Ports.Parity.None
            .StopBits = IO.Ports.StopBits.One
            .ReadTimeout = 200
        End With

        ' Essai de connexion
        Try
            DebugConn.PortName = "COM" & CStr(TestVal.Value)
            DebugConn.Open()
            DebugConn.Close()
            MsgBox("Connexion russie")
        Catch
            If TestRs232.PortName = DebugConn.PortName Then
                MsgBox("Port utilis pour la communication avec l'AGV")
            Else
                MsgBox("Connexion imppossible")
            End If
        End Try
        DebugConn = Nothing
    End Sub

#End Region

#Region "Communication srie"

    Public Sub SerialDebug(ByVal message As String)
        Me.TextBox1.Text = message & vbCrLf & Me.TextBox1.Text
    End Sub

    Private Sub ComBt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComBt.Click
        FormPrincipale.SerialEnvoyer(Me.ComText.Text)
        Me.ComText.Text = ""
    End Sub

    Private Sub ComText_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles ComText.KeyUp
        If e.KeyCode = Keys.Enter Then
            FormPrincipale.SerialEnvoyer(Me.ComText.Text)
            Me.ComText.Text = ""
        End If
    End Sub

#End Region

#Region "Modification du port srie"

    Private Sub MdifBt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ModifBt.Click
        My.Settings.SerialPort = "COM" & CStr(Me.ModifVal.Value)
        My.Settings.Save()
        MsgBox("Le nouveau port srie " & My.Settings.SerialPort & " sera pris en compte au redmarage de l'application", MsgBoxStyle.Exclamation)
    End Sub

#End Region

End Class