Imports Microsoft.DirectX.DirectInput

Public Class FormJoystick

    Private _Js As Device = Nothing
    Private _pos_roue As Integer
    Private _v_courante As Integer
    Private _Pressed(0 To 7) As Boolean
    Private _LastPov As Integer = -1

    Private _OldZoom As Integer = -1
    Private _ZoomTick As Integer = 0

    Private _RotationComplete As Boolean = False

    Private _VitesseVitesse As Double = 30
    Private _VitesseAngle As Double = 10

    Private _LimiteVitesseAvant As Double = 0.8
    Private _LimiteVitesseArriere As Double = 0.5
    Private _LimiteAngle As Double = 0.9

    Private _NoTransmission As Boolean = False

    Private _Bmp As Bitmap
    Private _Gr As Graphics

    Private _Retard As Integer = 0
    Private _DataV As New List(Of Integer)
    Private _DataR As New List(Of Integer)

    Private Sub Envoyer(ByVal Msg As String)
        MyAgvs(0).Envoyer(Msg)
    End Sub

    Public Sub LoadPosition(ByRef PB As PictureBox, ByRef Bmp As Bitmap, ByRef Gr As Graphics, ByVal X1 As Double, ByVal Y1 As Double, ByVal CouleurPoint1 As Color, ByVal Show1 As Boolean, ByVal X2 As Double, ByVal Y2 As Double, ByVal CouleurPoint2 As Color, ByVal Show2 As Boolean, ByVal CourseXMoins As Double, ByVal CourseXPlus As Double, ByVal CourseYMoins As Double, ByVal CourseYPlus As Double)
        Gr.Clear(Color.Transparent)
        Dim Marge As Integer = 20
        Dim TaillePoint As Integer = 10
        'Gr.DrawEllipse(New Pen(Color.Blue, 2), New Rectangle(Marge, Marge, PB.Width - 1 - 2 * Marge, PB.Height - 1 - 2 * Marge))
        If Show1 Or Show2 Then
            If Show2 Then Gr.DrawRectangle(New Pen(Color.Gray, 2), New Rectangle(Marge + (1 - CourseXMoins) * (PB.Width - 2 * Marge) / 2, Marge + (1 - CourseYPlus) * (PB.Height - 2 * Marge) / 2, (PB.Width - 1 - 2 * Marge) * (CourseXMoins + CourseXPlus) / 2, (PB.Height - 1 - 2 * Marge) * (CourseYMoins + CourseYPlus) / 2))
            Gr.DrawRectangle(New Pen(Color.Blue, 2), New Rectangle(Marge, Marge, PB.Width - 1 - 2 * Marge, PB.Height - 1 - 2 * Marge))
            Gr.DrawLine(New Pen(Color.Black, 2), CInt(0), CInt(PB.Height / 2), CInt(PB.Width - 1), CInt(PB.Height / 2))
            Gr.DrawLine(New Pen(Color.Black, 2), CInt(PB.Width / 2), CInt(0), CInt(PB.Width / 2), CInt(PB.Height - 1))
            'If Show1 Then Gr.DrawEllipse(New Pen(CouleurPoint1, 10), New Rectangle(PB.Width / 2 + X1 * (PB.Width - 2 * Marge) / 2 - 6, PB.Height / 2 - Y1 * (PB.Height - 2 * Marge) / 2 - 6, 10, 10))
            If Show1 Then Gr.DrawLine(New Pen(CouleurPoint1, 5), CInt(PB.Width / 2 + X1 * (PB.Width - 2 * Marge) / 2 - 15), CInt(PB.Height / 2 - Y1 * (PB.Height - 2 * Marge) / 2), CInt(PB.Width / 2 + X1 * (PB.Width - 2 * Marge) / 2 + 15), CInt(PB.Height / 2 - Y1 * (PB.Height - 2 * Marge) / 2))
            If Show1 Then Gr.DrawLine(New Pen(CouleurPoint1, 5), CInt(PB.Width / 2 + X1 * (PB.Width - 2 * Marge) / 2), CInt(PB.Height / 2 - Y1 * (PB.Height - 2 * Marge) / 2 - 15), CInt(PB.Width / 2 + X1 * (PB.Width - 2 * Marge) / 2), CInt(PB.Height / 2 - Y1 * (PB.Height - 2 * Marge) / 2 + 15))
            'If Show2 Then Gr.DrawEllipse(New Pen(CouleurPoint2, 10), New Rectangle(PB.Width / 2 + X2 * (PB.Width - 2 * Marge) / 2 - 6, PB.Height / 2 - Y2 * (PB.Height - 2 * Marge) / 2 - 6, 10, 10))
            If Show2 Then Gr.DrawEllipse(New Pen(CouleurPoint2, 10), New Rectangle(PB.Width / 2 + X2 * (PB.Width - 2 * Marge) / 2 - 5, PB.Height / 2 - Y2 * (PB.Height - 2 * Marge) / 2 - 5, 10, 10))
        Else
            Gr.DrawRectangle(New Pen(Color.Gray, 2), New Rectangle(Marge, Marge, PB.Width - 1 - 2 * Marge, PB.Height - 1 - 2 * Marge))
            Gr.DrawLine(New Pen(Color.Gray, 2), CInt(0), CInt(PB.Height / 2), CInt(PB.Width - 1), CInt(PB.Height / 2))
            Gr.DrawLine(New Pen(Color.Gray, 2), CInt(PB.Width / 2), CInt(0), CInt(PB.Width / 2), CInt(PB.Height - 1))
        End If
        PB.Image = Bmp
    End Sub

    Private Function ValueToStr(ByVal value As Integer) As String
        Dim a As Integer = Math.Floor(value / 26)
        Dim b As Integer = value - 26 * a
        Return Chr(a + 97) & Chr(b + 97)
    End Function

    Private Sub FormJoystick_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        System.Threading.Thread.Sleep(250)
        Envoyer("!" & ValueToStr(127) & ValueToStr(127))
        Envoyer("#JS")
        Envoyer("#GN")
    End Sub

    Private Sub FormJoystick_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        ' Chargement de l'image
        '----------------------
        _Bmp = New Bitmap(PictureBox1.Width, PictureBox1.Height)
        _Gr = Graphics.FromImage(_Bmp)

        ' Ouverture du joystick
        '----------------------

        For i As Integer = 0 To 7
            _Pressed(i) = False
        Next

        _v_courante = 127
        _pos_roue = 127

        For Each instance As DeviceInstance In Manager.GetDevices(DeviceClass.GameControl, EnumDevicesFlags.AttachedOnly)
            _Js = New Device(instance.InstanceGuid)
            'MsgBox(_Js.DeviceInformation.DeviceType)
            If _Js.DeviceInformation.DeviceType = DeviceType.Joystick Then
                Exit For
            Else
                _Js = Nothing
            End If
        Next

        If _Js Is Nothing Then
            MessageBox.Show("Aucun joystick trouv !")
            Me.Close()
            Exit Sub
        End If

        _Js.SetDataFormat(DeviceDataFormat.Joystick)
        '_Js.SetCooperativeLevel(Me, CooperativeLevelFlags.Exclusive Or CooperativeLevelFlags.Foreground)

        For Each d As DeviceObjectInstance In _Js.Objects
            If d.ObjectId And CInt(DeviceObjectTypeFlags.Axis) Then
                _Js.Properties.SetRange(ParameterHow.ById, d.ObjectId, New InputRange(-127, +127))
            End If
        Next d

        _Js.SetCooperativeLevel(Me, CooperativeLevelFlags.NonExclusive Or CooperativeLevelFlags.Background)

        Envoyer("#GF")
        Envoyer("JS")

        ' Lancement des timers
        '---------------------
        Timer1.Enabled = True

    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick

        Try
            _Js.Poll()
        Catch inputex As InputException
            If TypeOf inputex Is NotAcquiredException Or TypeOf inputex Is InputLostException Then
                Try
                    _Js.Acquire()
                Catch
                    Return
                End Try
            End If
        End Try

        Dim state As New JoystickState()
        Try
            state = _Js.CurrentJoystickState
        Catch
            Return
        End Try


        ' chargement de la consigne
        Dim v As Integer
        If state.Y < 0 Then
            v = -state.Y * _LimiteVitesseAvant + 127
        Else
            v = -state.Y * _LimiteVitesseArriere + 127
        End If

        Dim a As Integer
        If _RotationComplete Then
            a = CInt(-state.X * _LimiteAngle + 127)
        Else
            a = CInt(-state.X * _LimiteAngle / 2 + 127)
        End If

        ' remise en forme (butes)
        If v < 134 And v > 120 Then v = 127

        ' vrification de la drive
        If a > _pos_roue + _VitesseAngle Then
            a = _pos_roue + _VitesseAngle
        ElseIf a < _pos_roue - _VitesseAngle Then
            a = _pos_roue - _VitesseAngle
        End If

        If v > _v_courante + _VitesseVitesse Then
            v = _v_courante + _VitesseVitesse
        ElseIf v < _v_courante - _VitesseVitesse Then
            v = _v_courante - _VitesseVitesse
        End If

        _v_courante = v
        _pos_roue = a

        If Not _NoTransmission Then
            _DataV.Add(_v_courante)
            _DataR.Add(_pos_roue)
            Envoyer("!" & ValueToStr(_DataV(0)) & ValueToStr(_DataR(0)))
            _DataV.RemoveAt(0)
            _DataR.RemoveAt(0)
        End If

        ' Zoom tous les 10 ticks
        _ZoomTick = Math.Max(0, _ZoomTick - 1)
        If _ZoomTick = 0 Then
            Dim _NewZoom As Integer = CInt(CDbl((127 - state.GetSlider()(0)) * 178) / 254)
            If _NewZoom <> _OldZoom Then
                _ZoomTick = 5
                _OldZoom = _NewZoom
                DoAxisZoom(_NewZoom)
            End If
        End If
        'Dim slider As Integer() = state.GetSlider()
        'slider(0).ToString()
        'slider(1).ToString()

        Dim _NewPov As Integer = state.GetPointOfView()(0)
        If _NewPov <> _LastPov Then
            _LastPov = _NewPov
            NewPov(_NewPov)
        End If
        'pov(1).ToString()
        'pov(2).ToString()
        'pov(3).ToString()

        ' Affichage
        'Dim Col As Color = Microsoft.VisualBasic.Switch(Me._NoTransmission, Color.Gray, True, Color.Green)
        Dim Fac As Double = Microsoft.VisualBasic.Switch(_RotationComplete, 1, True, 0.5)

        LoadPosition(PictureBox1, _Bmp, _Gr, CDbl(state.X) / 127, -CDbl(state.Y) / 127, Color.Red, Point1.Checked, CDbl(127 - _pos_roue) / 127, CDbl(_v_courante - 127) / 127, Color.Green, Point2.Checked, _LimiteAngle * Fac, _LimiteAngle * Fac, _LimiteVitesseArriere, _LimiteVitesseAvant)

        ' gestion des appuis sur les boutons
        Dim Buttons As Byte() = state.GetButtons()
        Dim Button As Integer = 0
        For Each b As Byte In Buttons
            If 0 <> (b And &H80) Then
                If Not _Pressed(Button) Then ButtonPress(Button)
                _Pressed(Button) = True
            Else
                If _Pressed(Button) Then ButtonRelease(Button)
                _Pressed(Button) = False
            End If
            Button += 1
            If Button = 8 Then Exit For
        Next b

    End Sub

    Private Sub NewPov(ByVal i As Integer)
        Select Case i
            Case 0
                DoAxisMove(AxisMove.MoveUp, 3)
            Case 9000
                DoAxisMove(AxisMove.MoveRight, 3)
            Case 18000
                DoAxisMove(AxisMove.MoveDown, 3)
            Case 27000
                DoAxisMove(AxisMove.MoveLeft, 3)
        End Select
    End Sub

    Private Sub ButtonPress(ByVal i As Integer)

        Return

        If _Pressed(0) Then
            If i = 5 And _LimiteVitesseArriere >= 0.1 Then
                _LimiteVitesseArriere -= 0.1
            End If
            If i = 4 And _LimiteVitesseArriere <= 0.9 Then
                _LimiteVitesseArriere += 0.1
            End If
            If i = 7 And _LimiteVitesseAvant >= 0.1 Then
                _LimiteVitesseAvant -= 0.1
            End If
            If i = 6 And _LimiteVitesseAvant <= 0.9 Then
                _LimiteVitesseAvant += 0.1
            End If
            Exit Sub
        End If

        ' Attention les numros commencent  0
        If i = 0 Then
            Me._RotationComplete = True
        End If

        If i = 1 Then
            _NoTransmission = True
            Me.PictureBox1.Visible = False
            Me.TransmissionInterrompue.Visible = True
            Me.Refresh()
            System.Threading.Thread.Sleep(250)
            Envoyer("#VA")
            System.Threading.Thread.Sleep(250)
            Me.PictureBox1.Visible = True
            Me.TransmissionInterrompue.Visible = False
            _NoTransmission = (StTx.Text = "No TX")
        End If

        If i = 2 Then
            _NoTransmission = True
            Me.PictureBox1.Visible = False
            Me.TransmissionInterrompue.Visible = True
            Me.Refresh()
            System.Threading.Thread.Sleep(250)
            Envoyer("#GD")
            System.Threading.Thread.Sleep(250)
            Me.PictureBox1.Visible = True
            Me.TransmissionInterrompue.Visible = False
            _NoTransmission = (StTx.Text = "No TX")
        End If

        If i = 3 Then
            _NoTransmission = True
            Me.PictureBox1.Visible = False
            Me.TransmissionInterrompue.Visible = True
            Me.Refresh()
            System.Threading.Thread.Sleep(250)
            Envoyer("#AV")
            System.Threading.Thread.Sleep(250)
            Me.PictureBox1.Visible = True
            Me.TransmissionInterrompue.Visible = False
            _NoTransmission = (StTx.Text = "No TX")
        End If

        If i = 6 Then
            _NoTransmission = True
            StTx.Text = "No TX"
            Me.PictureBox1.Visible = False
            Me.TransmissionInterrompue.Visible = True
            Me.Refresh()
            System.Threading.Thread.Sleep(250)
            Envoyer("!" & ValueToStr(127) & ValueToStr(127))
            Envoyer("#JS")
            Envoyer("#GN")
            Me.PictureBox1.Visible = True
            Me.TransmissionInterrompue.Visible = False
            Me.TrackBar1.Enabled = True
        End If

        If i = 5 Then
            Me.TrackBar1.Enabled = False
            _DataV.Clear()
            _DataR.Clear()
            For x As Integer = 0 To Me.TrackBar1.Value
                _DataV.Add(127)
                _DataR.Add(127)
            Next
            _NoTransmission = False
            StTx.Text = "TX"
            Envoyer("#GF")
            Envoyer("JS")
        End If

        If _NoTransmission Then
            If i = 4 Then
                Envoyer("DT")
            End If
            If i = 7 Then
                Envoyer("DEAR")
            End If
        End If

    End Sub

    Private Sub ButtonRelease(ByVal i As Integer)

        ' Attention les numros commencent  0
        If i = 0 Then
            Me._RotationComplete = False
        End If

    End Sub

    Private Sub FormJoystick_SizeChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.SizeChanged
        _Bmp = New Bitmap(PictureBox1.Width, PictureBox1.Height)
        _Gr = Graphics.FromImage(_Bmp)
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        _NoTransmission = True
        StTx.Text = "No TX"
        Me.PictureBox1.Visible = False
        Me.TransmissionInterrompue.Visible = True
        Me.Refresh()
        System.Threading.Thread.Sleep(250)
        Envoyer("!" & ValueToStr(127) & ValueToStr(127))
        Envoyer("#JS")
        Envoyer("#GN")
        Me.PictureBox1.Visible = True
        Me.TransmissionInterrompue.Visible = False
        Me.TrackBar1.Enabled = True
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Me.TrackBar1.Enabled = False
        _DataV.Clear()
        _DataR.Clear()
        For x As Integer = 0 To Me.TrackBar1.Value
            _DataV.Add(127)
            _DataR.Add(127)
        Next
        _NoTransmission = False
        StTx.Text = "TX"
        Envoyer("#GF")
        Envoyer("JS")
    End Sub


    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        _NoTransmission = True
        Me.PictureBox1.Visible = False
        Me.TransmissionInterrompue.Visible = True
        Me.Refresh()
        System.Threading.Thread.Sleep(250)
        Envoyer("#VA")
        System.Threading.Thread.Sleep(250)
        Me.PictureBox1.Visible = True
        Me.TransmissionInterrompue.Visible = False
        _NoTransmission = (StTx.Text = "No TX")
    End Sub

End Class