Public Class FormDebug2

    Private Sub Envoyer(ByVal Message As String)
        If MyAgvs(1).Rs232.MyRs232.IsOpen Then MyAgvs(1).Rs232.MyRs232.Write(Message)
    End Sub

    Private Sub FormDebugAgv2_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ModifVal2.Value = CInt(Strings.Mid(My.Settings.SerialPortAgv2, 4, 1))
    End Sub

    Private Sub Fermer_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Fermer.Click
        Me.Hide()
    End Sub

    Public Sub SerialDebug(ByVal message As String)
        Me.TextBox1.Text = Me.TextBox1.Text & message
        Me.Refresh()
        Me.TextBox1.Select(Me.TextBox1.Text.Length, 0)
        Me.TextBox1.ScrollToCaret()
    End Sub

    Private Sub ModifBt2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ModifBt2.Click
        My.Settings.SerialPortAgv2 = "COM" & CStr(Me.ModifVal2.Value)
        My.Settings.Save()
        MsgBox("Le nouveau port srie " & My.Settings.SerialPortAgv2 & " sera pris en compte au redmarage de l'application", MsgBoxStyle.Exclamation or MsgBoxStyle.OkOnly)
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Me.Envoyer(Chr(3))
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Me.Envoyer("C CH2" & Chr(13))
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Me.Envoyer("D" & Chr(13))
    End Sub

    Private Sub ComText_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles ComText.KeyUp
        If e.KeyCode = Keys.Enter Then
            Me.Envoyer(Me.ComText.Text & Chr(13))
            Me.ComText.Text = ""
        End If
    End Sub

    Private Sub ComBt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComBt.Click
        Me.Envoyer(Me.ComText.Text & Chr(13))
        Me.ComText.Text = ""
    End Sub

End Class