Public Class FormEditPoint

    Private _Pt As Integer
    Private _Ow As FormEditCircuit

    Private Sub FormEditPoint_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        _Ow = Me.Owner
    End Sub

    Public Sub Charge(ByRef Pt As Integer)
        Me._Pt = Pt
        Me.Desc.Text = MyCircuit.Points(Pt).Description
        Me.Symbole.Text = MyCircuit.Points(Pt).Symbole
        Me.Cacher.Checked = MyCircuit.Points(Pt).Cacher
        Me.PosX.Text = MyCircuit.Points(Pt).PosX
        Me.PosY.Text = MyCircuit.Points(Pt).PosY
    End Sub

    Private Sub Cancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel.Click
        _Ow.Pts(Me._Pt).Left = MyCircuit.Points(_Pt).PosX + MyCircuit.Marge
        _Ow.Pts(Me._Pt).Top = MyCircuit.Points(_Pt).PosY + MyCircuit.Marge
        'Ow.PtP(Me.Pt).BackColor = Color.LightSkyBlue
        Me.Close()
    End Sub

    Private Sub Save_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Save.Click
        With MyCircuit.Points(_Pt)
            .Description = Me.Desc.Text
            .Symbole = Me.Symbole.Text
            .Cacher = Me.Cacher.Checked
            .PosX = _Ow.Pts(Me._Pt).Left - MyCircuit.Marge
            .PosY = _Ow.Pts(Me._Pt).Top - MyCircuit.Marge
            '.AxisSave()
        End With
        _Ow.Pts(Me._Pt).Text = Me.Symbole.Text
        _Ow.Pts(Me._Pt).BackColor = Color.LightSkyBlue
        Me.Close()
    End Sub

#Region "Flches"

    Private Sub Actualiser()
        Me.PosX.Text = _Ow.Pts(Me._Pt).Left - MyCircuit.Marge
        Me.PosY.Text = _Ow.Pts(Me._Pt).Top - MyCircuit.Marge
        _Ow.SelectPoint(_Pt)
    End Sub

    Private Sub GoRight1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GoRight1.Click
        _Ow.Pts(Me._Pt).Left += 1
        Actualiser()
    End Sub

    Private Sub GoRight2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GoRight2.Click
        _Ow.Pts(Me._Pt).Left += 10
        Actualiser()
    End Sub

    Private Sub GoLeft1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GoLeft1.Click
        _Ow.Pts(Me._Pt).Left -= 1
        Actualiser()
    End Sub

    Private Sub GoLeft2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GoLeft2.Click
        _Ow.Pts(Me._Pt).Left -= 10
        Actualiser()
    End Sub

    Private Sub GoD_Own1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GoDown1.Click
        _Ow.Pts(Me._Pt).Top += 1
        Actualiser()
    End Sub

    Private Sub GoD_Own2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GoDown2.Click
        _Ow.Pts(Me._Pt).Top += 10
        Actualiser()
    End Sub

    Private Sub GoUp1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GoUp1.Click
        _Ow.Pts(Me._Pt).Top -= 1
        Actualiser()
    End Sub

    Private Sub GoUp2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GoUp2.Click
        _Ow.Pts(Me._Pt).Top -= 10
        Actualiser()
    End Sub

#End Region

    Private Sub Supprimer_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Supprimer.Click
        If MsgBox("tes-vous sr de vouloir supprimer le point du circuit ?", MsgBoxStyle.Question + MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
            MyCircuit.DeletePoint(_Pt)
            _Ow.LoadPoints()
            Me.Close()
        End If
    End Sub

#Region "Axis moves"

    Private Sub AxisRight1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisRight1.Click
        ModuleAxis.DoAxisGotoY(ModuleAxis.GetAxisPos.Y + 1)
    End Sub

    Private Sub AxisRight2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisRight2.Click
        ModuleAxis.DoAxisGotoY(ModuleAxis.GetAxisPos.Y + 10)
    End Sub

    Private Sub AxisLeft1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisLeft1.Click
        ModuleAxis.DoAxisGotoY(ModuleAxis.GetAxisPos.Y - 1)
    End Sub

    Private Sub AxisLeft2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisLeft2.Click
        ModuleAxis.DoAxisGotoY(ModuleAxis.GetAxisPos.Y - 10)
    End Sub

    Private Sub AxisUp1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisUp1.Click
        ModuleAxis.DoAxisGotoZ(ModuleAxis.GetAxisPos.Z + 1)
    End Sub

    Private Sub AxisUp2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisUp2.Click
        ModuleAxis.DoAxisGotoZ(ModuleAxis.GetAxisPos.Z + 10)
    End Sub

    Private Sub AxisDown1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisDown1.Click
        ModuleAxis.DoAxisGotoZ(ModuleAxis.GetAxisPos.Z - 1)
    End Sub

    Private Sub AxisDown2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisDown2.Click
        ModuleAxis.DoAxisGotoZ(ModuleAxis.GetAxisPos.Z - 10)
    End Sub

    Private Sub AxisZoomP1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisZoomP1.Click
        ModuleAxis.DoAxisZoom(ModuleAxis.GetAxisPos.Zoom + 1)
    End Sub

    Private Sub AxisZoomP2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisZoomP2.Click
        ModuleAxis.DoAxisZoom(ModuleAxis.GetAxisPos.Zoom + 10)
    End Sub

    Private Sub AxisZoomM1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisZoomM1.Click
        ModuleAxis.DoAxisZoom(ModuleAxis.GetAxisPos.Zoom - 1)
    End Sub

    Private Sub AxisZoomM2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisZoomM2.Click
        ModuleAxis.DoAxisZoom(ModuleAxis.GetAxisPos.Zoom - 10)
    End Sub

#End Region

    Private Sub AxisLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisLoad.Click
        MyCircuit.Points(_Pt).AxisLoad()
    End Sub

    Private Sub AxisSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxisSave.Click
        MyCircuit.Points(_Pt).AxisSave()
    End Sub

End Class