Public Class FormWiimote

    Private Delegate Sub UpdateWiimoteStateDelegate(ByVal args As WiimoteLib.WiimoteChangedEventArgs)
    Private Delegate Sub UpdateExtensionChangedDelegate(ByVal args As WiimoteLib.WiimoteExtensionChangedEventArgs)

    Private _wm As WiimoteLib.Wiimote

    Private _Mode As Integer = 1
    Private _PressedHome As Boolean = False
    Private _PressedA As Boolean = False
    Private _PressedUp As Boolean = False
    Private _PressedDown As Boolean = False
    Private _PressedRight As Boolean = False
    Private _PressedLeft As Boolean = False

    Private _Bmp As Bitmap
    Private _Gr As Graphics

    Private _LastPos As New Queue(Of Double)
    Private _LastVit As New Queue(Of Double)

    Private _OrdreVit As New Queue(Of Integer)
    Private _OrdrePos As New Queue(Of Integer)

    Private _LastSentPos As Integer = 0
    Private _LastSentVit As Integer = 0
    Private _Tx As Boolean = True

    Private _Led1 As Boolean = False
    Private _Led2 As Boolean = False
    Private _Led3 As Boolean = False
    Private _Led4 As Boolean = False

    Private _Retard As Integer = 0

    Private _NombrePointMoyenne As Integer = 4

    Private Sub Envoyer(ByVal Msg As String, Optional ByVal Prioritaire As Boolean = False)
        If _Tx Or Prioritaire Then MyAgvs(0).Envoyer(Msg)
    End Sub

    Public Sub LoadPosition(ByRef PB As PictureBox, ByRef Bmp As Bitmap, ByRef Gr As Graphics, ByVal X1 As Double, ByVal Y1 As Double, ByVal CouleurPoint1 As Color, ByVal Show1 As Boolean, ByVal X2 As Double, ByVal Y2 As Double, ByVal CouleurPoint2 As Color, ByVal Show2 As Boolean, ByVal CourseXMoins As Double, ByVal CourseXPlus As Double, ByVal CourseYMoins As Double, ByVal CourseYPlus As Double)
        Gr.Clear(Color.Transparent)
        Dim Marge As Integer = 20
        Dim TaillePoint As Integer = 10
        'Gr.DrawEllipse(New Pen(Color.Blue, 2), New Rectangle(Marge, Marge, PB.Width - 1 - 2 * Marge, PB.Height - 1 - 2 * Marge))
        If Show1 Or Show2 Then
            If Show2 Then Gr.DrawRectangle(New Pen(Color.Gray, 2), New Rectangle(Marge + (1 - CourseXMoins) * (PB.Width - 2 * Marge) / 2, Marge + (1 - CourseYPlus) * (PB.Height - 2 * Marge) / 2, (PB.Width - 1 - 2 * Marge) * (CourseXMoins + CourseXPlus) / 2, (PB.Height - 1 - 2 * Marge) * (CourseYMoins + CourseYPlus) / 2))
            Gr.DrawRectangle(New Pen(Color.Blue, 2), New Rectangle(Marge, Marge, PB.Width - 1 - 2 * Marge, PB.Height - 1 - 2 * Marge))
            Gr.DrawLine(New Pen(Color.Black, 2), CInt(0), CInt(PB.Height / 2), CInt(PB.Width - 1), CInt(PB.Height / 2))
            Gr.DrawLine(New Pen(Color.Black, 2), CInt(PB.Width / 2), CInt(0), CInt(PB.Width / 2), CInt(PB.Height - 1))
            'If Show1 Then Gr.DrawEllipse(New Pen(CouleurPoint1, 10), New Rectangle(PB.Width / 2 + X1 * (PB.Width - 2 * Marge) / 2 - 6, PB.Height / 2 - Y1 * (PB.Height - 2 * Marge) / 2 - 6, 10, 10))
            If Show1 Then Gr.DrawLine(New Pen(CouleurPoint1, 5), CInt(PB.Width / 2 + X1 * (PB.Width - 2 * Marge) / 2 - 15), CInt(PB.Height / 2 - Y1 * (PB.Height - 2 * Marge) / 2), CInt(PB.Width / 2 + X1 * (PB.Width - 2 * Marge) / 2 + 15), CInt(PB.Height / 2 - Y1 * (PB.Height - 2 * Marge) / 2))
            If Show1 Then Gr.DrawLine(New Pen(CouleurPoint1, 5), CInt(PB.Width / 2 + X1 * (PB.Width - 2 * Marge) / 2), CInt(PB.Height / 2 - Y1 * (PB.Height - 2 * Marge) / 2 - 15), CInt(PB.Width / 2 + X1 * (PB.Width - 2 * Marge) / 2), CInt(PB.Height / 2 - Y1 * (PB.Height - 2 * Marge) / 2 + 15))
            'If Show2 Then Gr.DrawEllipse(New Pen(CouleurPoint2, 10), New Rectangle(PB.Width / 2 + X2 * (PB.Width - 2 * Marge) / 2 - 6, PB.Height / 2 - Y2 * (PB.Height - 2 * Marge) / 2 - 6, 10, 10))
            If Show2 Then Gr.DrawEllipse(New Pen(CouleurPoint2, 10), New Rectangle(PB.Width / 2 + X2 * (PB.Width - 2 * Marge) / 2 - 5, PB.Height / 2 - Y2 * (PB.Height - 2 * Marge) / 2 - 5, 10, 10))
        Else
            Gr.DrawRectangle(New Pen(Color.Gray, 2), New Rectangle(Marge, Marge, PB.Width - 1 - 2 * Marge, PB.Height - 1 - 2 * Marge))
            Gr.DrawLine(New Pen(Color.Gray, 2), CInt(0), CInt(PB.Height / 2), CInt(PB.Width - 1), CInt(PB.Height / 2))
            Gr.DrawLine(New Pen(Color.Gray, 2), CInt(PB.Width / 2), CInt(0), CInt(PB.Width / 2), CInt(PB.Height - 1))
        End If
        PB.Image = Bmp
    End Sub

    Private Function ValueToStr(ByVal value As Integer) As String
        Dim a As Integer = Math.Floor(value / 26)
        Dim b As Integer = value - 26 * a
        Return Chr(a + 97) & Chr(b + 97)
    End Function

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Timer1.Enabled = False
        System.Threading.Thread.Sleep(250)
        _wm.Disconnect()
        System.Threading.Thread.Sleep(250)
        Envoyer("!" & ValueToStr(127) & ValueToStr(127))
        Envoyer("#JS")
        Envoyer("#GN")
        Me.Close()
    End Sub

    Private Sub FormWiimote_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        ' Connexion Wiimote
        '------------------

        _wm = New WiimoteLib.Wiimote()
        AddHandler _wm.WiimoteChanged, AddressOf wm_WiimoteChanged
        Try
            _wm.Connect()
        Catch ex As Exception
            MsgBox("Impossible de se connecter  la wiimote !", MsgBoxStyle.Critical)
            Me.Close()
            Return
        End Try
        _wm.SetReportType(WiimoteLib.Wiimote.InputReport.IRAccel, False)
        _wm.SetLEDs(True, False, False, False)

        ' Chargement de l'image
        '----------------------
        _Bmp = New Bitmap(PictureBox1.Width, PictureBox1.Height)
        _Gr = Graphics.FromImage(_Bmp)

        Envoyer("#GF")
        Envoyer("JS")

        Timer1.Enabled = True

    End Sub

    Private Sub wm_WiimoteChanged(ByVal sender As Object, ByVal args As WiimoteLib.WiimoteChangedEventArgs)
        BeginInvoke(New UpdateWiimoteStateDelegate(AddressOf UpdateWiimoteState), args)
    End Sub

    Private _DoingBut As Boolean = False
    Private Sub UpdateWiimoteState(ByVal args As WiimoteLib.WiimoteChangedEventArgs)
        Dim ws As WiimoteLib.WiimoteState = args.WiimoteState

        If Not _PressedHome And ws.ButtonState.Home Then
            If _Mode = 1 Then
                _Mode = 2
            ElseIf _Mode = 2 Then
                _Mode = 1
            End If
        End If
        _PressedHome = ws.ButtonState.Home

        If Not _DoingBut And Not _PressedA And _wm.WiimoteState.ButtonState.A And Not _wm.WiimoteState.ButtonState.B Then
            _Tx = False
            _DoingBut = True
            System.Threading.Thread.Sleep(500)
            Envoyer("#VA", True)
            System.Threading.Thread.Sleep(500)
            _DoingBut = False
            _Tx = True
        End If
        _PressedA = ws.ButtonState.A

        If Not _DoingBut And Not _PressedUp And _wm.WiimoteState.ButtonState.Up Then
            _Tx = False
            _DoingBut = True
            System.Threading.Thread.Sleep(500)
            Envoyer("#JS", True)
            Envoyer("CP", True)
            Envoyer("JS", True)
            System.Threading.Thread.Sleep(500)
            _DoingBut = False
            _Tx = True
        End If
        _PressedUp = ws.ButtonState.Up

        If Not _DoingBut And Not _PressedDown And _wm.WiimoteState.ButtonState.Down Then
            _Tx = False
            _DoingBut = True
            System.Threading.Thread.Sleep(500)
            Envoyer("#JS", True)
            Envoyer("DP", True)
            Envoyer("JS", True)
            System.Threading.Thread.Sleep(500)
            _DoingBut = False
            _Tx = True
        End If
        _PressedDown = ws.ButtonState.Down

        If Not _DoingBut And Not _PressedLeft And _wm.WiimoteState.ButtonState.Left Then
            If _Retard > 0 Then
                _Retard -= 1
            End If
        End If
        _PressedLeft = ws.ButtonState.Left

        If Not _DoingBut And Not _PressedRight And _wm.WiimoteState.ButtonState.Right Then
            If _Retard < 3 Then
                _Retard += 1
            End If
        End If
        _PressedRight = ws.ButtonState.Right

        Dim Led1 As Boolean = _Mode = 1
        Dim Led2 As Boolean = _Retard = 1
        Dim Led3 As Boolean = _Retard = 2
        Dim Led4 As Boolean = _Retard = 3
        If Led1 <> _Led1 Or Led2 <> _Led2 Or Led3 <> _Led3 Or Led4 <> _Led4 Then
            _Led1 = Led1
            _Led2 = Led2
            _Led3 = Led3
            _Led4 = Led4
            _wm.SetLEDs(Led1, Led2, Led3, Led4)
        End If

    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick

        If Not _Tx Then
            '_LastPos.Clear()
            '_LastVit.Clear()
            Return
        End If

        Me.Label1.Text = _wm.WiimoteState.AccelState.X
        Me.Label2.Text = _wm.WiimoteState.AccelState.Y
        Me.Label3.Text = _wm.WiimoteState.AccelState.Z
        Me.Label1.Visible = _wm.WiimoteState.ButtonState.Two
        Me.Label2.Visible = _wm.WiimoteState.ButtonState.Two
        Me.Label3.Visible = _wm.WiimoteState.ButtonState.Two
        Me.TrackBar1.Value = Math.Max(-100, Math.Min(100, CInt(20 * _wm.WiimoteState.AccelState.X)))
        Me.TrackBar2.Value = Math.Max(-100, Math.Min(100, CInt(20 * _wm.WiimoteState.AccelState.Y)))
        Me.TrackBar3.Value = Math.Max(-100, Math.Min(100, CInt(20 * _wm.WiimoteState.AccelState.Z)))
        Me.TrackBar1.Visible = _wm.WiimoteState.ButtonState.Two
        Me.TrackBar2.Visible = _wm.WiimoteState.ButtonState.Two
        Me.TrackBar3.Visible = _wm.WiimoteState.ButtonState.Two
        Me.PictureBox1.Visible = Not _wm.WiimoteState.ButtonState.Two

        ' Lecture des valeurs
        '--------------------

        'If Not _wm.WiimoteState.ButtonState.B Then
        '_LastPos.Enqueue(0)
        '_LastVit.Enqueue(0)
        If _Mode = 1 Then
            If _wm.WiimoteState.ButtonState.B Then
                _LastPos.Enqueue(_wm.WiimoteState.AccelState.X)
            Else
                _LastPos.Enqueue(0)
            End If
            _LastVit.Enqueue(-_wm.WiimoteState.AccelState.Y)
        ElseIf _Mode = 2 Then
            '_LastPos.Enqueue(-_wm.WiimoteState.AccelState.Y)
            '_LastVit.Enqueue(_wm.WiimoteState.AccelState.X)
            If _wm.WiimoteState.ButtonState.B Then
                _LastPos.Enqueue(_wm.WiimoteState.AccelState.X)
            Else
                _LastPos.Enqueue(0)
            End If
            '_LastPos.Enqueue(_wm.WiimoteState.AccelState.X)
            _LastVit.Enqueue(_wm.WiimoteState.AccelState.Y)
        End If

        If _LastPos.Count < _NombrePointMoyenne Then Return

        ' Mesure de la position avec moyenne sur dernires valeurs
        '---------------------------------------------------------

        Dim MoyenneVit As Double = 0
        Dim MoyennePos As Double = 0

        For i As Integer = 0 To _NombrePointMoyenne - 1
            MoyenneVit += _LastVit.ToArray(i)
            MoyennePos += _LastPos.ToArray(i)
        Next

        MoyenneVit /= _NombrePointMoyenne
        MoyennePos /= _NombrePointMoyenne

        _LastPos.Dequeue()
        _LastVit.Dequeue()

        ' Construction des consignes
        '---------------------------

        Dim NeutrePos As Double = 0.1
        Dim NeutreVit As Double = 0.1

        Dim FacteurVit As Double = 3
        Dim FacteurPos As Double = 0.5

        Dim MaxVitAv As Double = 1
        Dim MaxVitAr As Double = 0.5

        Dim MaxPos As Double = 0.4

        Dim MaxAccelPos As Integer = 10
        Dim MaxAccelVit As Integer = 10

        ' Prise en compte des neutres

        If Math.Abs(MoyenneVit) < NeutreVit Then
            MoyenneVit = 0
        ElseIf MoyenneVit > NeutreVit Then
            MoyenneVit = (MoyenneVit - NeutreVit) / (1 - NeutreVit)
        ElseIf MoyenneVit < -NeutreVit Then
            MoyenneVit = (MoyenneVit + NeutreVit) / (1 - NeutreVit)
        End If

        If Math.Abs(MoyennePos) < NeutrePos Then
            MoyennePos = 0
        ElseIf MoyennePos > NeutrePos Then
            MoyennePos = (MoyennePos - NeutrePos) / (1 - NeutrePos)
        ElseIf MoyennePos < -NeutrePos Then
            MoyennePos = (MoyennePos + NeutrePos) / (1 - NeutrePos)
        End If

        ' Prise en compte des facteurs

        MoyenneVit = FacteurVit * MoyenneVit
        MoyennePos = FacteurPos * MoyennePos

        ' Prise en compte des bornes

        If MoyenneVit > MaxVitAv Then
            MoyenneVit = MaxVitAv
        ElseIf MoyenneVit < -MaxVitAr Then
            MoyenneVit = -MaxVitAr
        End If

        If MoyennePos > MaxPos Then
            MoyennePos = MaxPos
        ElseIf MoyennePos < -MaxPos Then
            MoyennePos = -MaxPos
        End If

        ' Demande de consigne

        Dim CsgnVit As Integer = 127 * MoyenneVit
        Dim CsgnPos As Integer = 127 * MoyennePos

        ' Vrifif des acceleration

        If CsgnVit > _LastSentVit + MaxAccelVit Then
            CsgnVit = _LastSentVit + MaxAccelVit
        ElseIf CsgnVit < _LastSentVit - MaxAccelVit Then
            CsgnVit = _LastSentVit - MaxAccelVit
        End If

        If CsgnPos > _LastSentPos + MaxAccelPos Then
            CsgnPos = _LastSentPos + MaxAccelPos
        ElseIf CsgnPos < _LastSentPos - MaxAccelPos Then
            CsgnPos = _LastSentPos - MaxAccelPos
        End If

        _LastSentPos = CsgnPos
        _LastSentVit = CsgnVit

        ' Vrification taille buffer de retard
        If _OrdreVit.Count <> 20 * _Retard Then
            _OrdreVit.Clear()
            _OrdrePos.Clear()
            For i As Integer = 1 To 20 * _Retard
                _OrdreVit.Enqueue(0)
                _OrdrePos.Enqueue(0)
            Next
        End If

        ' Ajout du retard
        _OrdreVit.Enqueue(CsgnVit)
        _OrdrePos.Enqueue(CsgnPos)
        CsgnVit = _OrdreVit.Dequeue
        CsgnPos = _OrdrePos.Dequeue

        If _wm.WiimoteState.ButtonState.One Then
            LoadPosition(PictureBox1, _Bmp, _Gr, _wm.WiimoteState.AccelState.X, -_wm.WiimoteState.AccelState.Y, Color.Red, True, CDbl(CsgnPos) / 127, CDbl(CsgnVit) / 127, Color.Green, True, 0, 0, 0, 0)
        End If

        ' Scurit
        If Not _wm.WiimoteState.ButtonState.B Then
            CsgnPos = _LastSentPos
            CsgnVit = 0
        End If

        ' Envoi des donnes
        Envoyer("!" & ValueToStr(CsgnVit + 127) & ValueToStr(127 - CsgnPos))

        If Not _wm.WiimoteState.ButtonState.One Then
            LoadPosition(PictureBox1, _Bmp, _Gr, _wm.WiimoteState.AccelState.X, -_wm.WiimoteState.AccelState.Y, Color.Red, True, CDbl(CsgnPos) / 127, CDbl(CsgnVit) / 127, Color.Green, True, 0, 0, 0, 0)
        End If

    End Sub

    Private Sub FormWiimote_SizeChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.SizeChanged
        _Bmp = New Bitmap(PictureBox1.Width, PictureBox1.Height)
        _Gr = Graphics.FromImage(_Bmp)
    End Sub

End Class